ProbeClassLoader (MetaCoretex API)
Keywords: com.securitycentric.metacoretex.lib.ProbeClassLoader class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.securitycentric.metacoretex.lib
Class ProbeClassLoader

    java.lang.Object
      java.lang.ClassLoader
          com.securitycentric.metacoretex.lib.ProbeClassLoader

public class ProbeClassLoader
extends java.lang.ClassLoader

Author:
  visigoth

Constructor Summary
`ProbeClassLoader()`
`ProbeClassLoader(java.lang.String dir)` Creates a new instance of ProbeClassLoader

Method Summary
`java.net.URL` | `getResource(java.lang.String name)`
`java.io.InputStream` | `getResourceAsStream(java.lang.String name)`
`java.lang.Class` | `loadClass(java.lang.String name)`

Methods inherited from class java.lang.ClassLoader
`clearAssertionStatus, defineClass, defineClass, defineClass, definePackage, findClass, findLibrary, findLoadedClass, findResource, findResources, findSystemClass, getPackage, getPackages, getParent, getResources, getSystemClassLoader, getSystemResource, getSystemResourceAsStream, getSystemResources, loadClass, resolveClass, setClassAssertionStatus, setDefaultAssertionStatus, setPackageAssertionStatus, setSigners`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProbeClassLoader

    public ProbeClassLoader(java.lang.String dir)

  Creates a new instance of ProbeClassLoader

### ProbeClassLoader

    public ProbeClassLoader()

Method Detail

### loadClass

    public java.lang.Class loadClass(java.lang.String name)
                              throws java.lang.ClassNotFoundException

  Throws:
    `java.lang.ClassNotFoundException`

### getResource

    public java.net.URL getResource(java.lang.String name)

### getResourceAsStream

    public java.io.InputStream getResourceAsStream(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD